# log4cpp::PassThroughLayout Class Reference

`#include <PassThroughLayout.hh>`

Inheritance diagram for log4cpp::PassThroughLayout:

[legend]
Collaboration diagram for log4cpp::PassThroughLayout:

[legend]
List of all members.

## Public Member Functions

virtual std::string | format (const LoggingEvent &event)
| Formats the LoggingEvent data to a string that appenders can log.

## Member Function Documentation

virtual std::string log4cpp::PassThroughLayout::format | ( | const LoggingEvent & | event | ) | `[inline, virtual]`

Formats the LoggingEvent data to a string that appenders can log.

Implement this method to create your own layout format.

Parameters:

  | event | The LoggingEvent.

Returns:
  an appendable string.

Implements log4cpp::Layout.

The documentation for this class was generated from the following file:

- PassThroughLayout.hh